Package it.ernytech.tdlib

## Class TdApi.AuthenticationCodeInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthenticationCodeInfo

Enclosing class:
  TdApi

    public static class TdApi.AuthenticationCodeInfo
    extends TdApi.Object

Information about the authentication code that was sent.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.AuthenticationCodeType` `nextType` Describes the way the next code will be sent to the user; may be null.
`java.lang.String` `phoneNumber` A phone number that is being authenticated.
`int` `timeout` Timeout before the code should be re-sent, in seconds.
`TdApi.AuthenticationCodeType` `type` Describes the way the code was sent to the user.

### Constructor Summary

Constructors
`AuthenticationCodeInfo()` Default constructor.
`AuthenticationCodeInfo​(java.lang.String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### phoneNumber

    public java.lang.String phoneNumber

A phone number that is being authenticated.

#### type

    public TdApi.AuthenticationCodeType type

Describes the way the code was sent to the user.

#### nextType

    public TdApi.AuthenticationCodeType nextType

Describes the way the next code will be sent to the user; may be null.

#### timeout

    public int timeout

Timeout before the code should be re-sent, in seconds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AuthenticationCodeInfo

    public AuthenticationCodeInfo()

Default constructor.

#### AuthenticationCodeInfo

    public AuthenticationCodeInfo​(java.lang.String phoneNumber,
                                  TdApi.AuthenticationCodeType type,
                                  TdApi.AuthenticationCodeType nextType,
                                  int timeout)

Constructor for initialization of all fields.

Parameters:
  `phoneNumber` - A phone number that is being authenticated.
  `type` - Describes the way the code was sent to the user.
  `nextType` - Describes the way the next code will be sent to the user; may be null.
  `timeout` - Timeout before the code should be re-sent, in seconds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR